Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ws.construct
Class WSProxy

    java.lang.Object
      org.mule.construct.AbstractFlowConstruct
          org.mule.module.ws.construct.WSProxy

All Implemented Interfaces:
  FlowConstruct, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable

    public class WSProxy

extends AbstractFlowConstruct

This class is implemented to act as a Proxy for a Web Service. It listens for requests on the inbound endpoint and if it encounters the "WSDL" property in the address, it will fetch the WSDL from the original web service and return it back. In case the wsdlFile property is set, when the WSProxyService encounters a request for the wsdl, instead of fetching the WSDL from the original web service, it will return back the file expressed in the property. When a normal SOAP request is encountered, it will forward the call to the web service with no modifications to the SOAP message. The outbound router of this class must include the address of the webservice to be proxied. No need to include the method name as a parameter in the address, since it will be in the SOAP message as well. Furthermore a property named uriWsdl can optionally be set which as the name suggests, indicate the URL of the WSDL for the service. If this property is not set, the address of the WSDL will be assumed to be the value of uriWebservice followed by "?WSDL".

Field Summary

Fields inherited from class org.mule.construct.AbstractFlowConstruct
`exceptionListener, lifecycleManager, logger, messageInfoMapping, messageProcessorChain, messageSource, muleContext, name, statistics, threadingProfile`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`WSProxy(String name, MuleContext muleContext, MessageSource messageSource, OutboundEndpoint outboundEndpoint)`
`WSProxy(String name, MuleContext muleContext, MessageSource messageSource, OutboundEndpoint outboundEndpoint, String wsdlContents)`
`WSProxy(String name, MuleContext muleContext, MessageSource messageSource, OutboundEndpoint outboundEndpoint, URI wsdlUri)`

Method Summary
`protected void` | `configureMessageProcessors(MessageProcessorChainBuilder builder)` Used to configure the processing chain for this `FlowConstuct` `MessageProcessor`s to the chain using the builder provided.
`String` | `getConstructType()`
`String` | `toString()`
`protected void` | `validateConstruct()` Validates configured flow construct

Methods inherited from class org.mule.construct.AbstractFlowConstruct
`createMessageProcessor, dispose, disposeIfDisposable, doDispose, doInitialise, doStart, doStop, getExceptionListener, getLifecycleState, getMessageInfoMapping, getMessageProcessorChain, getMessageSource, getMuleContext, getName, getStatistics, getThreadingProfile, initialise, initialiseIfInitialisable, injectFlowConstructMuleContext, isStarted, isStopped, isStopping, setExceptionListener, setMessageInfoMapping, setMessageSource, start, startIfStartable, stop, stopIfStoppable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WSProxy

    public WSProxy(String name,
                   MuleContext muleContext,
                   MessageSource messageSource,
                   OutboundEndpoint outboundEndpoint)
            throws MuleException

Throws:
  `MuleException`

### WSProxy

    public WSProxy(String name,
                   MuleContext muleContext,
                   MessageSource messageSource,
                   OutboundEndpoint outboundEndpoint,
                   String wsdlContents)
            throws MuleException

Throws:
  `MuleException`

### WSProxy

    public WSProxy(String name,
                   MuleContext muleContext,
                   MessageSource messageSource,
                   OutboundEndpoint outboundEndpoint,
                   URI wsdlUri)
            throws MuleException

Throws:
  `MuleException`

Method Detail

### configureMessageProcessors

    protected void configureMessageProcessors(MessageProcessorChainBuilder builder)

  Description copied from class: `AbstractFlowConstruct`
  Used to configure the processing chain for this `FlowConstuct` `MessageProcessor`s to the chain using the builder provided.

  To use a different builder of to construct a composite `MessageProcessor` manually override `AbstractFlowConstruct.createMessageProcessor()` instead.

  Specified by:
    `configureMessageProcessors` in class `AbstractFlowConstruct`
  Parameters:
    `builder` - instance of `DefaultMessageProcessorChainBuilder`

### validateConstruct

    protected void validateConstruct()
                              throws FlowConstructInvalidException

  Description copied from class: `AbstractFlowConstruct`
  Validates configured flow construct

  Overrides:
    `validateConstruct` in class `AbstractFlowConstruct`
  Throws:
    `FlowConstructInvalidException` - if the flow construct does not pass validation

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractFlowConstruct`

### getConstructType

    public String getConstructType()

  Specified by:
    `getConstructType` in class `AbstractFlowConstruct`
  Returns:
    the type of construct being created, e.g. "Flow"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.